Skip to content

List Prices

GET
/prices
curl --request GET \
--url 'https://example.com/prices?symbol=example&limit=100'

Stored closes of one symbol (manual and provider), newest first. Feed-implied prices are computed on read and never stored, so they are not listed here.

symbol
required
Symbol
string
>= 1 characters <= 15 characters
start
Any of:
string format: date
end
Any of:
string format: date
limit
Limit
integer
default: 100 >= 1 <= 1000

Successful Response

Media typeapplication/json
Response List Prices Prices Get
Array<object>
PriceOut
object
close
required
Close
string
date
required
Date
string format: date
fetched_at
required
Fetched At
string format: date-time
source
required
Source
string
symbol
required
Symbol
string

Example generated

[
{
"close": "example",
"date": "2026-04-15",
"fetched_at": "2026-04-15T12:00:00Z",
"source": "example",
"symbol": "example"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}